Skip to content
First requestVisit website ↗
Navigation

Get specific booking by ID (Admin)

Retrieve a specific booking by its ID. Requires admin authentication.

GET
https://api.channelautomation.com/api/calendar/bookings/{id}

Authorization

  • BearerAuth
    optional
    HTTP Bearer (JWT)
  • ApiKeyAuth
    optional
    API key in header

Path parameters

  • id
    string
    required

    Booking ID

Returns

200

Booking retrieved successfully

JSON
  • success
    optional
    boolean
  • booking
    optional
    object
    • id
      optional
      string

      Unique appointment identifier

    • contact_id
      optional
      string

      Associated contact ID

    • workspace_id
      optional
      string

      Workspace ID

    • created_by
      optional
      string

      ID of user who created the appointment

    • title
      optional
      string

      Appointment title

    • description
      optional
      string

      Appointment description

    • appointment_date
      optional
      string

      Date and time of the appointment

      format: date-time
    • duration_minutes
      optional
      integer

      Duration of the appointment in minutes

    • location
      optional
      string

      Location of the appointment

    • created_at
      optional
      string

      When the appointment was created

      format: date-time
    • updated_at
      optional
      string

      When the appointment was last updated

      format: date-time

401

Authentication required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

403

Admin privileges required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

404

Booking not found
JSON
  • success
    optional
    boolean
  • error
    optional
    string

500

Internal server error
JSON
  • error
    optional
    string
  • details
    optional
    string
  • success
    optional
    boolean

Type to search…

↑↓ navigate↵ selectEsc close